import 'reflect-metadata';
import { PropertyDefinition } from '../types/property';
/**
 * Register an exposed property. This is displayed in the editor and serialized to files.
 * @param editorPropertyDefinition Additional options
 */
export declare function ExposeProperty(editorPropertyDefinition?: Omit<PropertyDefinition, 'name'>): PropertyDecorator;
/**
 * Retract a property from an ancestor ExposedProperty list
 */
export declare function RetractProperty(): PropertyDecorator;
