declare global {
    /**
     * Sidedness of the engine thread.
     */
    var FREEBLOX_SIDE: 'server' | 'client';
    /**
     * Current engine thread.
     */
    var FREEBLOX_THREAD: 'main' | 'render' | 'physics' | 'net';
}
export * from './core';
export * from './net';
export * from './utils';
export * from './types';
export * from './components';
export * from './gameobjects';
export * from './assets';
export * from './defaults/environment';
export * from './decorators';
export * from './controls';
