import { PerspectiveCamera, Scene, Vector2, WebGLRenderer as ThreeWebGLRenderer, WebGLRendererParameters } from 'three';
export declare class WebGLRenderer {
    viewport: HTMLElement;
    resolution: Vector2;
    private params?;
    renderer: ThreeWebGLRenderer;
    camera: PerspectiveCamera;
    scene: Scene;
    constructor(viewport: HTMLElement, resolution?: Vector2, params?: WebGLRendererParameters | undefined);
    setSize(width: number, height: number): void;
    render(): void;
    dispose(): void;
}
