import { PhysicsObject } from './physics.object';
import { BufferGeometry, NormalBufferAttributes } from 'three';
import type Rapier from '@dimforge/rapier3d';
export declare class Brick extends PhysicsObject {
    protected geometry?: BufferGeometry<NormalBufferAttributes> | undefined;
    objectType: string;
    name: string;
    protected createCollider(factory: typeof Rapier, world: Rapier.World, body?: Rapier.RigidBody): Rapier.Collider;
}
