import { SkinnedMesh } from 'three';
import { Brick } from '.';
import type Rapier from '@dimforge/rapier3d';
export declare class MeshPart extends Brick {
    objectType: string;
    /** Do some surgery to convert a loaded SkinnedMesh into a game object */
    static fromLoaded(loaded: SkinnedMesh): MeshPart;
    protected createCollider(factory: typeof Rapier, world: Rapier.World, body?: Rapier.RigidBody): Rapier.Collider;
    initializeMesh(): void;
}
